package com.realnet.vpspack.Controllers;
import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
 import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;
import com.fasterxml.jackson.core.JsonProcessingException;
import org.springframework.web.bind.annotation.CrossOrigin;
import com.fasterxml.jackson.databind.JsonMappingException;
import com.realnet.config.EmailService;
import com.realnet.users.entity1.AppUser;
import com.realnet.users.service1.AppUserServiceImpl;
import com.fasterxml.jackson.databind.ObjectMapper;
import org.springframework.data.domain.*;
import com.realnet.fnd.response.EntityResponse;
import org.springframework.http.*;
import org.springframework.beans.factory.annotation.*;
import com.realnet.vpspack.Entity.Referrer;
import com.realnet.vpspack.Services.ReferrerService ;






@RequestMapping(value = "/Referrer")
 @CrossOrigin("*") 
@RestController
public class ReferrerController {
	@Autowired
	private ReferrerService Service;

@Value("${projectPath}")
	private String projectPath;
 






	@PostMapping("/Referrer")
		  public Referrer Savedata(@RequestBody Referrer data) {
		Referrer save = Service.Savedata(data)	;





		System.out.println("data saved..." + save);

 return save;
	  }
@PutMapping("/Referrer/{id}")
	public  Referrer update(@RequestBody Referrer data,@PathVariable Integer id ) {
		Referrer update = Service.update(data,id);
		System.out.println("data update..." + update);
		return update;
	}	 
//	get all with pagination
	@GetMapping("/Referrer/getall/page")
	public Page<Referrer> getall(@RequestParam(value = "page", required = false) Integer page,
			@RequestParam(value = "size", required = false) Integer size) {
		Pageable paging = PageRequest.of(page, size);
		Page<Referrer> get = Service.getAllWithPagination(paging);

		return get;

	}	
	@GetMapping("/Referrer")
	public List<Referrer> getdetails() {
		 List<Referrer> get = Service.getdetails();		
		return get;
}
// get all without authentication 

	@GetMapping("/token/Referrer")
	public List<Referrer> getallwioutsec() {
		 List<Referrer> get = Service.getdetails();		
		return get;
}
@GetMapping("/Referrer/{id}")
	public  Referrer  getdetailsbyId(@PathVariable Integer id ) {
		Referrer  get = Service.getdetailsbyId(id);
		return get;
	}
@DeleteMapping("/Referrer/{id}")
	public  ResponseEntity<?> delete_by_id(@PathVariable Integer id ) {
	Service.delete_by_id(id);
			return new ResponseEntity<>(new EntityResponse("Deleted"), HttpStatus.OK);
	
	}







}